astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- transform_function

# transform_function

`astropy.coordinates.transformations.``transform_function`(fromsys, tosys, copyobstime=True, priority=1)

  A function decorator for defining transformations between coordinate systems.

  Note

  If decorating a static method of a class, `@staticmethod` should be added above this decorator.

  Parameters:

  fromsys : class

  > The coordinate system this function starts from.

  tosys : class

  > The coordinate system this function results in.

  copyobstime : bool

  > If True (default) the value of the `_obstime` attribute will be copied to the newly-produced coordinate.

  priority : number

  > The priority if this transform when finding the shortest coordinate tranform path - large numbers are lower priorities.